v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/quarantined
Updates the shipment and its kits as quarantined. Rights: OrsInventoryPost, DepotShipmentReceiptPost/OrsBlinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
shipmentId(required): string(uuid)
ID of the shipment.Example:
C36A3197FDEE433FB5547EE83DE99E4B -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
C36A3197FDEE433FB5547EE83DE99E4B
Supported Media Types
- */*
Root Schema : ShipmentQuarantineRequest v1.0
Type:
objectTitle:
ShipmentQuarantineRequest v1.0Request body to quarantine a shipment.
Show Source
-
tempMonitorStatus(required): string
Title:
Temperature Monitor StatusAllowed Values:[ "yes", "no", "missing" ]Temperature monitor status. Allowed values: yes, no, missing.Example:missing
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Type:
string(uuid)Examples
400 Response
'Invalid Kit', 'Invalid shipment status'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
404 Response
'Invalid study ID', 'Study still in design phase' or 'Invalid shipment ID'
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples
500 Response
Internal server error
Nested Schema : result
Type:
objectNested Schema : details
Type:
objectExamples